complexType "NonNegativeMoney"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 36 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency, amount
</...>

Content Model Elements (2):

  amount (defined in NonNegativeMoney complexType), | currency (defined in MoneyBase complexType)

Known Direct Subtypes (3):

  FutureValueAmount, FxOptionPayout, NotionalAmount

All Direct / Indirect Based Elements (35):

  callCurrencyAmount,
  changeInNotionalAmount (defined in TradeLegNotionalChange.model group),
  changeInNotionalAmount (defined in TradeNotionalChange.model group),
  contractRate,
  dividend,
  flatRateAmount,
  forwardPrice,
  maximumNotionalAmount (defined in FxMultipleExercise complexType),
  maximumPaymentAmount,
  maximumTransactionPaymentAmount,
  minimumNotionalAmount (defined in FxMultipleExercise complexType),
  notional (defined in EquityDerivativeBase complexType),
  notionalAmount (defined in ReturnSwapNotional complexType),
  notionalAmount (in correlation),
  outstandingNotionalAmount (defined in TradeLegNotionalChange.model group),
  outstandingNotionalAmount (defined in TradeNotionalChange.model group),
  paymentAmount (defined in EquityPremium complexType),
  paymentAmount (defined in NonNegativePayment complexType),
  paymentAmount (defined in Payment complexType),
  paymentAmount (defined in SimplePayment complexType),
  paymentAmount (in additionalPaymentAmount),
  paymentAmount (in fixedPayment),
  payout,
  premiumPerUnit,
  prePaymentAmount,
  pricePerOption (defined in EquityPremium complexType),
  principalAmount (in principalExchangeAmount in principalExchangeDescriptions),
  putCurrencyAmount,
  settlementAmount (defined in EquityOptionTermination complexType),
  strikePricePerUnit,
  totalPrice (in fixedLeg in commodityForward),
  totalPrice (in fixedLeg),
  varianceAmount,
  weatherNotionalAmount (in commodityOption),
  weatherNotionalAmount (in weatherLeg)

Known Usage Locations

- In derivations of other global types (3):

  FutureValueAmount (as extension base), FxOptionPayout (as extension base), | NotionalAmount (as extension base)

- As direct type of elements (33):
  callCurrencyAmount,
  changeInNotionalAmount (defined in TradeLegNotionalChange.model group),
  changeInNotionalAmount (defined in TradeNotionalChange.model group),
  contractRate,
  dividend,
  flatRateAmount,
  forwardPrice,
  maximumNotionalAmount (defined in FxMultipleExercise complexType),
  maximumPaymentAmount,
  maximumTransactionPaymentAmount,
  minimumNotionalAmount (defined in FxMultipleExercise complexType),
  notional (defined in EquityDerivativeBase complexType),
  notionalAmount (in correlation),
  outstandingNotionalAmount (defined in TradeLegNotionalChange.model group),
  outstandingNotionalAmount (defined in TradeNotionalChange.model group),
  paymentAmount (defined in EquityPremium complexType),
  paymentAmount (defined in NonNegativePayment complexType),
  paymentAmount (defined in Payment complexType),
  paymentAmount (defined in SimplePayment complexType),
  paymentAmount (in additionalPaymentAmount),
  paymentAmount (in fixedPayment),
  premiumPerUnit,
  prePaymentAmount,
  pricePerOption (defined in EquityPremium complexType),
  principalAmount (in principalExchangeAmount in principalExchangeDescriptions),
  putCurrencyAmount,
  settlementAmount (defined in EquityOptionTermination complexType),
  strikePricePerUnit,
  totalPrice (in fixedLeg in commodityForward),
  totalPrice (in fixedLeg),
  varianceAmount,
  weatherNotionalAmount (in commodityOption),
  weatherNotionalAmount (in weatherLeg)

Annotation
A type defining a non negative money amount.
Type Definition Detail

Type Derivation Tree MoneyBase (extension) NonNegativeMoney

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="NonNegativeMoney"> <xsd:complexContent> <xsd:extension base="MoneyBase"> <xsd:sequence> <xsd:element name="amount" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/2)
amount

  Type: | NonNegativeDecimal, simple content

  The non negative monetary quantity in currency units.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="amount" type="NonNegativeDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.